For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
      • Patient Invoicing Integration Guide
          • GETGet patient refunds
          • GETGet patient refund
          • POSTCreate patient refund
          • PATCHUpdate
          • DELDelete patient refund
Contact Sales
LogoLogo
API ReferencePatient CollectionsPatient RefundsV1

Update

Beta
PATCH
/api/patient-refunds/v1/:patient_refund_id
PATCH
/api/patient-refunds/v1/:patient_refund_id
$curl -X PATCH https://api.joincandidhealth.com/api/patient-refunds/v1/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "patient_refund_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
3 "organization_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
4 "refund_source": "MANUAL_ENTRY",
5 "amount_cents": 1,
6 "patient_external_id": "patient_external_id",
7 "allocations": [
8 {
9 "amount_cents": 1,
10 "target": {
11 "type": "service_line",
12 "claim_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
13 "encounter_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
14 "service_line_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
15 },
16 "allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
17 "earmark": {
18 "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
19 "target": {
20 "type": "date_of_service",
21 "value": "target"
22 },
23 "amount_earmarked_cents": 1,
24 "created_by_allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
25 },
26 "allocated_on": "2024-01-15T09:30:00Z"
27 },
28 {
29 "amount_cents": 1,
30 "target": {
31 "type": "service_line",
32 "claim_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
33 "encounter_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
34 "service_line_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
35 },
36 "allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
37 "earmark": {
38 "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
39 "target": {
40 "type": "date_of_service",
41 "value": "target"
42 },
43 "amount_earmarked_cents": 1,
44 "created_by_allocation_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
45 },
46 "allocated_on": "2024-01-15T09:30:00Z"
47 }
48 ],
49 "source_internal_id": "source_internal_id",
50 "refund_timestamp": "2024-01-15T09:30:00Z",
51 "refund_note": "refund_note",
52 "invoice": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
53 "refund_reason": "OVERCHARGED"
54}

Updates the patient refund record matching the provided patient_refund_id.

Was this page helpful?
Previous

Delete patient refund

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

patient_refund_idUUIDRequired

Request

This endpoint expects an object.
refund_timestampdatetimeOptional
refund_noteobjectOptional
invoiceobjectOptional
refund_reasonobjectOptional

Response

This endpoint returns an object.
patient_refund_idUUID
organization_idUUID
refund_sourceenum
amount_centsinteger
patient_external_idstring
allocationslist of objects
source_internal_idstring
refund_timestampdatetime
refund_notestring
invoiceUUID
refund_reasonenum
Allowed values:

Errors

403
Unauthorized Error
404
Entity Not Found Error
422
Unprocessable Entity Error